(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfxSound.png", id:"gfxSound"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,348,214);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,78,53);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,267,53);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,164,53);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,53);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,142,53);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,269,50);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,396,225);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,422,234);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,374,179);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,356,189);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,293,221);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,406,263);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,194,53);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,53);


(lib.gfxSound = function() {
	this.initialize(img.gfxSound);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,64,46);


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,50);
p.frameBounds = [rect];


(lib.soundPlayer = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfxSound();
	this.instance.setTransform(-32,-23);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-32,-23,64,46);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Symbol1();
	this.instance.setTransform(134.5,25,1,1,0,0,0,134.5,25);
	this.instance.alpha = 0.012;

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,50);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(37.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(63.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(86,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(52.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(1,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(88,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(95.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(134.5,26.5,1,1,0,0,0,134.5,25);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,269,53);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '22094',
			title: 'Przeciągnij podpisy do zwierząt.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {
				if(isCorrect === true) {
					createjs.Sound.play(config.id + '_' + parseInt(dropIndex+1));
				}		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.sound_7 = new lib.soundPlayer();
	this.sound_7.setTransform(-57.2,427);

	this.sound_6 = new lib.soundPlayer();
	this.sound_6.setTransform(-57.2,359.8);

	this.sound_5 = new lib.soundPlayer();
	this.sound_5.setTransform(-57.2,292.5);

	this.sound_4 = new lib.soundPlayer();
	this.sound_4.setTransform(-57.2,225.3);

	this.sound_3 = new lib.soundPlayer();
	this.sound_3.setTransform(-57.2,158);

	this.sound_2 = new lib.soundPlayer();
	this.sound_2.setTransform(-57.2,90.8);

	this.sound_1 = new lib.soundPlayer();
	this.sound_1.setTransform(-57.2,23.5);

	this.drop_4 = new lib.Symbol8();
	this.drop_4.setTransform(585.1,55.1,1,1,0,0,0,134.5,26.5);

	this.drop_7 = new lib.Symbol5();
	this.drop_7.setTransform(267.4,266.3,1,1,0,0,0,134.5,26.5);

	this.drop_5 = new lib.Symbol9();
	this.drop_5.setTransform(759.1,180.7,1,1,0,0,0,134.5,26.5);

	this.drop_2 = new lib.Symbol7();
	this.drop_2.setTransform(289.1,395.9,1,1,0,0,0,134.5,26.5);

	this.drop_6 = new lib.Symbol6();
	this.drop_6.setTransform(1110,415.7,1,1,0,0,0,134.5,26.5);

	this.drop_1 = new lib.Symbol3();
	this.drop_1.setTransform(1117,224.1,1,1,0,0,0,134.5,26.5);

	this.drop_3 = new lib.Symbol4();
	this.drop_3.setTransform(411.1,647.7,1,1,0,0,0,134.5,26.5);

	this.drag_5 = new lib.Symbol9();
	this.drag_5.setTransform(332.1,525.4,1,1,0,0,0,134.5,26.5);

	this.drag_4 = new lib.Symbol8();
	this.drag_4.setTransform(1179,493.4,1,1,0,0,0,134.5,26.5);

	this.drag_2 = new lib.Symbol7();
	this.drag_2.setTransform(759.1,486.9,1,1,0,0,0,134.5,26.5);

	this.drag_6 = new lib.Symbol6();
	this.drag_6.setTransform(734.1,414.7,1,1,0,0,0,134.5,26.5);

	this.drag_7 = new lib.Symbol5();
	this.drag_7.setTransform(693.4,336,1,1,0,0,0,134.5,26.5);

	this.drag_3 = new lib.Symbol4();
	this.drag_3.setTransform(520.1,260.1,1,1,0,0,0,134.5,26.5);

	this.drag_1 = new lib.Symbol3();
	this.drag_1.setTransform(597.1,120.1,1,1,0,0,0,134.5,26.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_3},{t:this.drag_7},{t:this.drag_6},{t:this.drag_2},{t:this.drag_4},{t:this.drag_5},{t:this.drop_3},{t:this.drop_1},{t:this.drop_6},{t:this.drop_2},{t:this.drop_5},{t:this.drop_7},{t:this.drop_4},{t:this.sound_1},{t:this.sound_2},{t:this.sound_3},{t:this.sound_4},{t:this.sound_5},{t:this.sound_6},{t:this.sound_7}]}).wait(1));

	// bg
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(851,386.7);

	this.instance_1 = new lib.Bitmap6();
	this.instance_1.setTransform(969.7,30.6);

	this.instance_2 = new lib.Bitmap5();
	this.instance_2.setTransform(613.2,22.2);

	this.instance_3 = new lib.Bitmap4();
	this.instance_3.setTransform(357,25);

	this.instance_4 = new lib.Bitmap3();
	this.instance_4.setTransform(264,441.2);

	this.instance_5 = new lib.Bitmap2();
	this.instance_5.setTransform(40.2,346.7);

	this.instance_6 = new lib.Bitmap1();
	this.instance_6.setTransform(65.8,81.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(-89.2,0.5,1402.7,674.7);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(550.8,360.5,1402.7,674.7);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;